import { IConfigurationStore } from './configuration-store/configuration-store';
import { IHttpClient } from './http-client';
import { IConfiguration } from './i-configuration';
import { BanditVariation, BanditParameters, Flag } from './interfaces';
export default class ConfigurationRequestor {
    private readonly httpClient;
    private flagConfigurationStore;
    private banditVariationConfigurationStore;
    private banditModelConfigurationStore;
    private banditModelVersions;
    private configuration;
    constructor(httpClient: IHttpClient, flagConfigurationStore: IConfigurationStore<Flag>, banditVariationConfigurationStore: IConfigurationStore<BanditVariation[]> | null, banditModelConfigurationStore: IConfigurationStore<BanditParameters> | null);
    /**
     * Updates the configuration stores and recreates the StoreBackedConfiguration
     */
    setConfigurationStores(flagConfigurationStore: IConfigurationStore<Flag>, banditVariationConfigurationStore: IConfigurationStore<BanditVariation[]> | null, banditModelConfigurationStore: IConfigurationStore<BanditParameters> | null): void;
    isFlagConfigExpired(): Promise<boolean>;
    getConfiguration(): IConfiguration;
    fetchAndStoreConfigurations(): Promise<void>;
    private getLoadedBanditModelVersions;
    private requiresBanditModelConfigurationStoreUpdate;
    private indexBanditVariationsByFlagKey;
}
//# sourceMappingURL=configuration-requestor.d.ts.map