import { Environment, FormatEnum } from '../interfaces';
import { IAsyncStore, IConfigurationStore, ISyncStore } from './configuration-store';
export declare class HybridConfigurationStore<T> implements IConfigurationStore<T> {
    protected readonly servingStore: ISyncStore<T>;
    protected readonly persistentStore: IAsyncStore<T> | null;
    constructor(servingStore: ISyncStore<T>, persistentStore: IAsyncStore<T> | null);
    private environment;
    private configFetchedAt;
    private configPublishedAt;
    private format;
    /**
     * Initialize the configuration store by loading the entries from the persistent store into the serving store.
     */
    init(): Promise<void>;
    isInitialized(): boolean;
    isExpired(): Promise<boolean>;
    get(key: string): T | null;
    entries(): Record<string, T>;
    getKeys(): string[];
    setEntries(entries: Record<string, T>): Promise<boolean>;
    setEnvironment(environment: Environment): void;
    getEnvironment(): Environment | null;
    getConfigFetchedAt(): string | null;
    setConfigFetchedAt(configFetchedAt: string): void;
    getConfigPublishedAt(): string | null;
    setConfigPublishedAt(configPublishedAt: string): void;
    getFormat(): FormatEnum | null;
    setFormat(format: FormatEnum): void;
}
//# sourceMappingURL=hybrid.store.d.ts.map