import { Environment, FormatEnum } from '../interfaces';
import { IConfigurationStore, ISyncStore } from './configuration-store';
export declare class MemoryStore<T> implements ISyncStore<T> {
    private store;
    private initialized;
    get(key: string): T | null;
    entries(): Record<string, T>;
    getKeys(): string[];
    isInitialized(): boolean;
    setEntries(entries: Record<string, T>): void;
}
export declare class MemoryOnlyConfigurationStore<T> implements IConfigurationStore<T> {
    private readonly servingStore;
    private initialized;
    private configFetchedAt;
    private configPublishedAt;
    private environment;
    private format;
    salt?: string;
    init(): Promise<void>;
    get(key: string): T | null;
    entries(): Record<string, T>;
    getKeys(): string[];
    isExpired(): Promise<boolean>;
    isInitialized(): boolean;
    setEntries(entries: Record<string, T>): Promise<boolean>;
    getEnvironment(): Environment | null;
    setEnvironment(environment: Environment): void;
    getConfigFetchedAt(): string | null;
    setConfigFetchedAt(configFetchedAt: string): void;
    getConfigPublishedAt(): string | null;
    setConfigPublishedAt(configPublishedAt: string): void;
    getFormat(): FormatEnum | null;
    setFormat(format: FormatEnum): void;
}
//# sourceMappingURL=memory.store.d.ts.map