import { IConfigurationWire } from './configuration-wire-types';
export type SdkOptions = {
    sdkName: string;
    sdkVersion: string;
    baseUrl?: string;
};
/**
 * Helper class for fetching and converting configuration from the Eppo API(s).
 */
export declare class ConfigurationWireHelper {
    private httpClient;
    /**
     * Build a new ConfigurationHelper for the target SDK Key.
     * @param sdkKey
     */
    static build(sdkKey: string, opts?: SdkOptions): ConfigurationWireHelper;
    private constructor();
    /**
     * Fetches configuration data from the API and build a Bootstrap Configuration (aka an `IConfigurationWire` object).
     * The IConfigurationWire instance can be used to bootstrap some SDKs.
     */
    fetchBootstrapConfiguration(): Promise<IConfigurationWire>;
}
//# sourceMappingURL=configuration-wire-helper.d.ts.map