import NamedEventQueue from './named-event-queue';
/**
 * @internal
 * A named event queue backed by an **unbounded** array.
 * This class probably should NOT be used directly, but only as a backing store for
 * {@link BoundedEventQueue}.
 */
export default class ArrayBackedNamedEventQueue<T> implements NamedEventQueue<T> {
    readonly name: string;
    private readonly events;
    constructor(name: string);
    get length(): number;
    set length(value: number);
    push(...events: T[]): void;
    [Symbol.iterator](): IterableIterator<T>;
    splice(count: number): T[];
    isEmpty(): boolean;
}
//# sourceMappingURL=array-backed-named-event-queue.d.ts.map