"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @internal
 * A named event queue backed by an **unbounded** array.
 * This class probably should NOT be used directly, but only as a backing store for
 * {@link BoundedEventQueue}.
 */
class ArrayBackedNamedEventQueue {
    constructor(name) {
        this.name = name;
        this.events = [];
    }
    get length() {
        return this.events.length;
    }
    set length(value) {
        this.events.length = value;
    }
    push(...events) {
        this.events.push(...events);
    }
    [Symbol.iterator]() {
        return this.events[Symbol.iterator]();
    }
    splice(count) {
        return this.events.splice(0, count);
    }
    isEmpty() {
        return this.events.length === 0;
    }
}
exports.default = ArrayBackedNamedEventQueue;
//# sourceMappingURL=array-backed-named-event-queue.js.map