import { IConfigurationStore } from './configuration-store/configuration-store';
import { IHttpClient } from './http-client';
import { IObfuscatedPrecomputedBandit, PrecomputedFlag } from './interfaces';
import { ContextAttributes, FlagKey } from './types';
export default class PrecomputedFlagRequestor {
    private readonly httpClient;
    private readonly precomputedFlagStore;
    private readonly subjectKey;
    private readonly subjectAttributes;
    private readonly precomputedBanditsStore?;
    private readonly banditActions?;
    constructor(httpClient: IHttpClient, precomputedFlagStore: IConfigurationStore<PrecomputedFlag>, subjectKey: string, subjectAttributes: ContextAttributes, precomputedBanditsStore?: IConfigurationStore<IObfuscatedPrecomputedBandit> | undefined, banditActions?: Record<FlagKey, Record<string, ContextAttributes>> | undefined);
    fetchAndStorePrecomputedFlags(): Promise<void>;
}
//# sourceMappingURL=precomputed-requestor.d.ts.map